POST
/
v1
/
customers
/
{customerId}
/
accounts
/
{accountId}
/
cards
/
{cardId}
/
invite
Invite a cardholder to a card
curl --request POST \
  --url https://api.next.orenda.finance/v1/customers/{customerId}/accounts/{accountId}/cards/{cardId}/invite \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "invitedCustomerId": "cust_5b8e1d2c"
}
'
import requests

url = "https://api.next.orenda.finance/v1/customers/{customerId}/accounts/{accountId}/cards/{cardId}/invite"

payload = { "invitedCustomerId": "cust_5b8e1d2c" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({invitedCustomerId: 'cust_5b8e1d2c'})
};

fetch('https://api.next.orenda.finance/v1/customers/{customerId}/accounts/{accountId}/cards/{cardId}/invite', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "Cardholder invitation completed successfully"
}
{
"success": false,
"code": "VALIDATION_ERROR",
"message": "newPin must be 4 digits"
}
{
"success": false,
"code": "VALIDATION_ERROR",
"message": "newPin must be 4 digits"
}
{
"success": false,
"code": "CARD_NOT_FOUND",
"message": "Card not found"
}

Authorizations

Authorization
string
header
required

The user's access token. The program and environment come from the token.

Path Parameters

customerId
string
required

The customer's id.

accountId
string
required

The account the card belongs to. A customer can have several accounts; cards are issued against one.

cardId
string
required

The card id from create / get cards.

Body

application/json
invitedCustomerId
string
required

Required. The customer being invited to hold this card.

Response

Invited

success
boolean
Example:

true

message
string
Example:

"Cardholder invitation completed successfully"